System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.DictionaryBase

The property of is of type .

Represents a collection of documents discovered during XML Web services discovery that have been downloaded to the client. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Adds an object with the specified URL to the .

  The URL for the document to add to the . A discovered document to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines if the contains an object with the specified URL.

  true if the contains an object with the specified URL; otherwise, false.

  The URL for the document to locate within the . 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection a To be added

  Gets an object with all the keys in the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes an object with the specified URL from the .

  The URL for the discovered document to remove from the . 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection a To be added

  Gets an object with all the values in the .

  1.0.5000.0
  2.0.0.0